'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.getTransitionDirection = exports.TransitionComponent = exports.variantIcon = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Slide = require('@material-ui/core/Slide');

var _Slide2 = _interopRequireDefault(_Slide);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DIRECTION = {
    right: 'left',
    left: 'right',
    bottom: 'up',
    top: 'down'
};

var variantIcon = {
    success: '✅',
    warning: '⚠️',
    error: '✖️',
    info: 'ℹ️'
};

var getTransitionDirection = function getTransitionDirection(anchorOrigin) {
    if (anchorOrigin.horizontal !== 'center') {
        return DIRECTION[anchorOrigin.horizontal];
    }
    return DIRECTION[anchorOrigin.vertical];
};

var TransitionComponent = function TransitionComponent(props) {
    return _react2.default.createElement(_Slide2.default, props);
};

exports.variantIcon = variantIcon;
exports.TransitionComponent = TransitionComponent;
exports.getTransitionDirection = getTransitionDirection;